import type { ReactNode, MouseEventHandler, ChangeEventHandler } from "react";
import type IPerson from "../../../interfaces/IPerson";

type Props = Omit<IPerson, "id"> & {
  children?: ReactNode;
  onClickHeader: MouseEventHandler<HTMLHeadingElement>;
  onChangeHandler: ChangeEventHandler<HTMLInputElement>;
  onRemoveHandler: MouseEventHandler<HTMLElement>;
};

const Person = (props: Props) => {
  return (
    <div className="person">
      <span className="removeBtn" onClick={props.onRemoveHandler}>
        x
      </span>
      <h1 onClick={props.onClickHeader}>{props.name}</h1>
      <p> {"Age:" + props.age}</p>
      <p>{props.children}</p>
      <input type="text" value={props.name} onChange={props.onChangeHandler} />
    </div>
  );
};

export default Person;
