import { MouseEventHandler, ReactNode } from "react";

const ToggleButton = ({
  isToggle,
  onClick,
  hideText = "Hide",
  showText = "Show",
}: {
  isToggle: boolean;
  onClick: MouseEventHandler<HTMLButtonElement>;
  hideText?: ReactNode;
  showText?: ReactNode;
}) => {
  const buttonClasses = ["button "];
  if (isToggle) {
    buttonClasses.push("red");
  }
  return (
    <button
      style={{ marginTop: "10px" }}
      className={buttonClasses.join(" ")}
      onClick={onClick}
    >
      {isToggle ? hideText : showText}
    </button>
  );
};

export default ToggleButton;
